
D4Science Infrastructure - VM Creation #11439

Task # 11429 (Closed): Upgrade GS development/pre-production instances

Preproduction GeoServer 2.10.5

Mar 13, 2018 05:42 PM - Fabio Sinibaldi

Status: Closed Start date: Mar 13, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-nodes management   

Infrastructure: Pre-Production Applications list and

version:

geoserver 2.10.5 with both spatialite

plugin and geoserver-connector

RAM: 8 Applications context

path:

geoserver

CPU: 4 External storage data

disk:

 

DiskSpace: 100 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: LATEST PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube

/gcube/preprod

/gcube/preprod/preVRE

  

Description

Related issues:

Blocks D4Science Infrastructure - Task #11442: Copy data_dir to new instances Closed Mar 13, 2018

History

#1 - Mar 13, 2018 06:22 PM - Fabio Sinibaldi

- Blocks Task #11442: Copy data_dir to new instances added

#2 - Mar 14, 2018 08:07 PM - Andrea Dell'Amico

About the DB part: do we need any new database or do we stay with the old ones?

#3 - Mar 15, 2018 11:39 AM - Fabio Sinibaldi

We stay with the old ones for now.

#4 - Mar 19, 2018 03:53 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Hostname and IP are going to be: geoserver1-t.pre.d4science.org 146.48.123.27

#5 - Mar 19, 2018 06:51 PM - Andrea Dell'Amico

- % Done changed from 0 to 90

The server is up. I'm copying the data from geoserver-dev.d4science-ii.research-infrastructures.eu. No DB configuration has been generated.

#6 - Mar 19, 2018 07:03 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback
- % Done changed from 90 to 100

All the data has been copied.

#7 - Mar 20, 2018 12:45 PM - Fabio Sinibaldi

This is strange :

I can see from the log lines like "19 Mar 19:09:24 INFO [org.geoserver] - Loaded layer 'geo_fea_plateaus'" (grepped "Loaded layer" and found 21858

similar lines)

But I can't see any workspace/store/layer/style in geoserver GUI 

(I.E. layer preview http://geoserver1-t.pre.d4science.org/geoserver/web/wicket/bookmarkable/org.geoserver.web.demo.MapPreviewPage?10)

Different outcome in geoserver2-d-dev (as tested in #10957) we can see loaded layers at 

http://geoserver2-d.dev.d4science.org/geoserver/web/wicket/bookmarkable/org.geoserver.web.demo.MapPreviewPage?1

@vincenzo.terrano@eng.it Did you perform any other task then copying the data directory in geoserver2-d.dev?

#8 - Mar 20, 2018 12:58 PM - Vincenzo Terrano

I just replaced the data_dir folder after setting the user reader gcube.

#9 - Mar 20, 2018 04:48 PM - Andrea Dell'Amico

@fabio.sinibaldi@isti.cnr.it did you try to move all the data directory contents up one level, as I wrote in #11442 ?

#10 - Mar 20, 2018 05:11 PM - Fabio Sinibaldi

I'm gonna trying it now.. it seems strange, 'cause layers seem to be loaded, but it's worth a try since it seems it's the only difference with #10957

#11 - Mar 20, 2018 05:43 PM - Fabio Sinibaldi

I'm having some conflicts. I think geoserver modified the folder structure when it started. Probably copying again the folder from the source geoserver

is best. @andrea.dellamico@isti.cnr.it can you do that, please?

#12 - Mar 20, 2018 05:55 PM - Andrea Dell'Amico

As I'm out of town until Thursday it's maybe better if you do it by yourself.

Stop the geoserver running in geoserver1-t.pre.d4science.org

Log into geoserver-dev.d4science-ii.research-infrastructures.eu as gcube user and then run:

cd /home/gcube/tomcat/webapps/geoserver/data

rsync -av --delete  * geoserver1-t.pre.d4science.org:/srv/geoserver_data/data

 The same for geoserver1-d-d4s.d4science.org if needed

#13 - Mar 20, 2018 05:59 PM - Fabio Sinibaldi

ok, thanks a lot.

#14 - Mar 22, 2018 11:57 AM - Fabio Sinibaldi

- Status changed from Feedback to Closed

Layers are now correctly displayed.

#15 - Mar 22, 2018 11:59 AM - Andrea Dell'Amico

What was the matter? So if we need to copy the geoserver data again, we know how to do it properly.

#16 - Mar 22, 2018 12:09 PM - Fabio Sinibaldi

I just restarted the service after performing the rsync, so I'd say the problem was only the wrong destination path of the copy process. 
